/**
  * File: 		SubgroupProperties.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the structure associated to the properties of a subgroup
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

final public class SubgroupProperties implements java.io.Serializable
{
    public
    SubgroupProperties()
    {
    }

    public
    SubgroupProperties(int id,
                       DynamicSubgroupInfo info,
                       StateTransferType type)
    {
        this.id = id;
        this.info = info;
        this.type = type;
    }

    public int id;
    public DynamicSubgroupInfo info;
    public StateTransferType type;
}
