/**
  * File: 		GroupHandlerFactoryCreator.java
  * Content: 	part of the RMI specification of sensei gmns
  * Author: 	LuisM Pena
  * Date: 		1st December 2001
  * Version:  0.29.00
  * Last change:
  *
  **/


package sensei.middleware.gmns;

import sensei.middleware.gms.GroupMember;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface GroupHandlerFactoryCreator extends java.io.Serializable
{
  public GroupHandlerFactory create(GroupMember member) throws GroupHandlerFactoryException, RemoteException;
}
