/**
  * File: TimerListener.java
  * Content: interface needed by the Timer
  * Author: LuisM Pena
  * Date: 31th July 2000
  * Last change:
  * Version: 0.97.00
  *
  **/

package sensei.util;

/**
  * Interface to be implemented by a timer listener
  **/
public interface TimerListener
{
  /**
    * The listener will return false if there is any error and the timer must
    * be stopped
    **/
  public boolean timerExpired();
}
