/**
  * File: StatelessMemberInfo.java
  * Content: Helper class containing state information on each member on the group
  * Author: LuisM Pena
  * Date: 16th April 2001
  * Version: 0.51.00
  * Last change:
  *
  *
  **/

package sensei.domains;

/**
  * Helper class containing state information on each member on the group
  **/
class StatelessMemberInfo
{
  public StatelessMemberInfo (int initialView)
  {
    Trace.code("StatelessMemberInfo.java -> StatelessMemberInfo ( int initialView )");
    this.initialView = initialView;
    coordinator = null;
  }

  public void setCoordinator(Integer coordinator)
  {
    Trace.code("StatelessMemberInfo.java -> void setCoordinator ( Integer coordinator )");
    this.coordinator = coordinator;
  }

  public Integer getCoordinator()
  {
    Trace.code("StatelessMemberInfo.java -> Integer getCoordinator ( )");
    return coordinator;
  }

  public int getInitialView()
  {
    Trace.code("StatelessMemberInfo.java -> int getInitialView ( )");
    return initialView;
  }

  int initialView;
  Integer coordinator;
}
