/**
  * File: GMNSRegister.java
  * Content: Class to register the valuetypes on the ORB. In RMI case, does nothing (still the main !)
  * Author: LuisM Pena
  * Date: 		1st December 2001
  * Version:  0.29.00
  * Last change:
  *
  **/

package sensei.middleware.gmns;

import java.util.Properties;

/**
  * Class to register the valuetypes on the ORB
  **/
public class GMNSRegister
{
  //*************************************************************************************
  //**************************** ORB REGISTERING ****************************************
  //*************************************************************************************

  public GMNSRegister(GMNSMain mainClass, String args[], boolean graphicalMode)
  {
    try
    {
      mainClass.runGMNS(graphicalMode);
    }
    catch(Exception ex)
    {
      ex.printStackTrace();
    }
  }
}

